Open SCAP Library

Macros | Typedefs | Enumerations | Functions
oscap.h File Reference

General OpenScap functions and types. More...

`#include <stdbool.h>`
`#include <wchar.h>`
`#include "oscap_text.h"`
`#include "oscap_reference.h"`

Go to the source code of this file.

## Macros
#define | OSCAP_DEPRECATED(func) func
| This macro will warn, when a deprecated function is used.

## Typedefs
typedef enum oscap_document_type | oscap_document_type_t
| SCAP document type identifiers.
typedef int(* | xml_reporter) (const char *file, int line, const char *msg, void *arg)

## Enumerations
enum | oscap_document_type { OSCAP_DOCUMENT_UNKNOWN = 0, OSCAP_DOCUMENT_OVAL_DEFINITIONS, OSCAP_DOCUMENT_OVAL_VARIABLES, OSCAP_DOCUMENT_OVAL_SYSCHAR, OSCAP_DOCUMENT_OVAL_RESULTS, OSCAP_DOCUMENT_OVAL_DIRECTIVES, OSCAP_DOCUMENT_XCCDF, OSCAP_DOCUMENT_CPE_LANGUAGE, OSCAP_DOCUMENT_CPE_DICTIONARY, OSCAP_DOCUMENT_CVE_FEED, OSCAP_DOCUMENT_SCE_RESULT, OSCAP_DOCUMENT_SDS, OSCAP_DOCUMENT_ARF, OSCAP_DOCUMENT_XCCDF_TAILORING, OSCAP_DOCUMENT_OCIL, OSCAP_DOCUMENT_CVRF_FEED }
| SCAP document type identifiers. More...

## Functions
void | oscap_init (void)
| Initialize OpenSCAP library. More...
void | oscap_cleanup (void)
| Release library internal caches. More...
const char * | oscap_get_version (void)
| Get version of the OpenSCAP library.
const char * | oscap_document_type_to_string (oscap_document_type_t type)
| Convert oscap_document_type_t constant to human readable (english) representation. More...
int | oscap_validate_document (const char *xmlfile, oscap_document_type_t doctype, const char *version, xml_reporter reporter, void *arg)
| Validate a SCAP document file against a XML schema. More...
int | oscap_schematron_validate_document (const char *xmlfile, oscap_document_type_t doctype, const char *version, const char *outfile)
| Validate a SCAP document file against schematron rules. More...
int | oscap_apply_xslt (const char *xmlfile, const char *xsltfile, const char *outfile, const char **params)
| Apply a XSLT stylesheet to a XML file. More...
const char * | oscap_path_to_schemas (void)
| Function returns path used to locate OpenSCAP XML schemas.
const char * | oscap_path_to_schematron (void)
| Function returns path used to locate OpenSCAP Schematron files. More...
const char * | oscap_path_to_cpe (void)
| Function returns path used to locate OpenSCAP Default CPE files.
int | oscap_determine_document_type (const char *document, oscap_document_type_t *doc_type)
| Determine document type. More...

## Detailed Description

General OpenScap functions and types.

Author
  Lukas Kuklinek lkukl.nosp@m.inek.nosp@m.@redh.nosp@m.at.c.nosp@m.om